Skip to main content
GET
Get webhook subscription matched event

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Path Parameters

subscriptionId
string<uuid>
required

Unique identifier for the webhook subscription.

Pattern: ^[a-f0-9\-]{36}$
matchId
string<uuid>
required

Unique identifier for the webhook matched event.

Pattern: ^[a-f0-9\-]{36}$

Response

Webhook matched event retrieved successfully.

Details of an event that matched a webhook subscription.

eventId
string<uuid>
required

Unique identifier for the webhook event.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

matchId
string<uuid>
required

Unique identifier for the webhook match.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

subscriptionId
string<uuid>
required

Unique identifier for the webhook subscription.

Example:

"123e4567-e89b-12d3-a456-426614174000"

eventType
string
required

The type of event that was delivered (e.g., "onchain.activity.detected").

Example:

"onchain.activity.detected"

status
enum<string>
required

Current state of the matched event.

  • retrying: The event is currently being retried. For when the next attempt will occur, see nextAttemptAt.
  • abandoned: The event was abandoned. This means the subscription was disabled during the retry lifecycle.
  • succeeded: The event was successfully delivered to the target URL.
  • failed: The event delivery failed due to reaching the maximum number of retry attempts or other non-retryable failure such as a subscription misconfiguration.
Available options:
retrying,
abandoned,
succeeded,
failed
Example:

"succeeded"

createdAt
string<date-time>
required

Timestamp when the underlying event was processed by the webhook system.

If an event is replayed, a new createdAt will be recorded at the time of replay.

Example:

"2025-01-15T10:30:00Z"

occurredAt
string<date-time>
required

Timestamp when the underlying event actually occurred.

This is different from createdAt, which is the timestamp the event reached the webhook system and matched the subscription.

If an event is replayed, the occurredAt timestamp will remain the same.

Example:

"2025-01-15T10:29:58Z"

attemptCount
integer
required

Number of delivery attempts so far.

Includes the initial attempt and all retry attempts.

Example:

1

succeededAt
string<date-time>

Timestamp when the matched event was successfully delivered to the target URL. Only present if status is succeeded.

Example:

"2025-01-15T10:30:02Z"

payload
object

The payload of the event.

Example:
latestAttempt
object

Outcome and timing of a single webhook delivery attempt.

nextAttemptAt
string<date-time>

Timestamp when the matched event will be retried. Only supplied if the matched event's status is retrying.

Example:

"2025-01-15T10:30:02Z"